Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Class PostUpdateEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.PostUpdateEvent

All Implemented Interfaces:
  Serializable

    public class PostUpdateEvent

extends AbstractEvent

Occurs after the datastore is updated

See Also:
  Serialized Form

Constructor Summary
`PostUpdateEvent(Object entity, Serializable id, Object[] state, Object[] oldState, int[] dirtyProperties, EntityPersister persister, EventSource source)`

Method Summary
`int[]` | `getDirtyProperties()`
`Object` | `getEntity()`
`Serializable` | `getId()`
`Object[]` | `getOldState()`
`EntityPersister` | `getPersister()`
`Object[]` | `getState()`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostUpdateEvent

    public PostUpdateEvent(Object entity,
                           Serializable id,
                           Object[] state,
                           Object[] oldState,
                           int[] dirtyProperties,
                           EntityPersister persister,
                           EventSource source)

Method Detail

### getEntity

    public Object getEntity()

### getId

    public Serializable getId()

### getOldState

    public Object[] getOldState()

### getPersister

    public EntityPersister getPersister()

### getState

    public Object[] getState()

### getDirtyProperties

    public int[] getDirtyProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.